=== debian/changelog ===
godot3 (3.6.1+ds-1) unstable; urgency=medium

  * Refresh patches
  * Drop unsupported armel, armhf, and i386 architectures
  * Enable speech synthesis
  * Revert back to embedded recastnavigation library
  * New upstream version 3.6.1+ds (Closes: #1096747)
  * Exclude unused third-party dependencies from Debian sources
  * Namespace upstream branch under godot3

 -- Travis Wrightsman <travis@wrightsman.org>  Fri, 03 Oct 2025 16:34:59 +0200
