=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
  Federico Ceratto <federico@debian.org>,
  Dominik George <natureshadow@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  ca-certificates,
- debhelper-compat (= 13),
  libasound2-dev,
  libbullet-dev,
  libenet-dev,
@@ -22,7 +22,7 @@
  libpcre2-dev,
  libpng-dev,
  libpulse-dev,
- librecast-dev,
+ libspeechd-dev,
  libsquish-dev,
  libtheora-dev,
  libudev-dev,
@@ -39,13 +39,13 @@
  pkgconf,
  scons,
  zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://godotengine.org
 Vcs-Git: https://salsa.debian.org/games-team/godot.git -b godot3/debian/latest
 Vcs-Browser: https://salsa.debian.org/games-team/godot
 
 Package: godot3
-Architecture: amd64 arm64 armel armhf i386 ppc64el s390x
+Architecture: amd64 arm64 ppc64el riscv64
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -55,7 +55,7 @@
  your game without reinventing the wheel.
 
 Package: godot3-runner
-Architecture: amd64 arm64 armel armhf i386 ppc64el s390x
+Architecture: amd64 arm64 ppc64el riscv64
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -64,7 +64,7 @@
  This package allows games to be run from source or data-pack.
 
 Package: godot3-server
-Architecture: amd64 arm64 armel armhf i386 ppc64el s390x
+Architecture: amd64 arm64 ppc64el riscv64
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
