=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 # Link with libatomic on archs where it is needed.
 # See <URL: https://bugs.debian.org/1019868 >
-ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),armel riscv64))
+ifeq ($(DEB_HOST_ARCH),riscv64)
        export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
 endif
 
@@ -24,7 +24,7 @@
 # See https://github.com/godotengine/godot/issues/47344
 # The embree library used by raycast and lightmapper_cpu modules do
 # not build on s390x, disable on archs where it is not already building.
-ifneq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),amd64 i386 armel armhf))
+ifneq ($(DEB_HOST_ARCH),amd64)
        DISABLE_MODULES = module_denoise_enabled=no module_embree_enabled=no module_raycast_enabled=no module_lightmapper_cpu_enabled=no
 endif
 
@@ -64,7 +64,7 @@
 	builtin_miniupnpc=no \
 	builtin_opus=no \
 	builtin_pcre2=no \
-	builtin_recast=no \
+	builtin_recast=yes \
 	builtin_rvo2=yes \
 	builtin_squish=no \
 	builtin_xatlas=yes \
@@ -72,6 +72,13 @@
 	builtin_zstd=no \
 	use_static_cpp=no \
 	verbose=yes
+
+# disable debug symbols if noautodbgsym in DEB_BUILD_OPTIONS
+ifneq (,$(findstring noautodbgsym, $(DEB_BUILD_OPTIONS)))
+	SCONS_OPTIONS += debug_symbols=no
+else
+	SCONS_OPTIONS += debug_symbols=yes
+endif
 
 %:
 	dh $@
@@ -84,6 +91,8 @@
 
 override_dh_auto_build:
 	dh_auto_build
+	# build requires thirdparty certs path to be present even if disabled
+	install -D /dev/null thirdparty/certs/ca-certificates.crt
 	scons arch=$(BITS) platform=server tools=yes target=release_debug $(SCONS_OPTIONS) $(DISABLE_MODULES)
 	scons arch=$(BITS) platform=x11    tools=no  target=release       $(SCONS_OPTIONS) $(DISABLE_MODULES)
 	scons arch=$(BITS) platform=x11    tools=yes target=release_debug $(SCONS_OPTIONS) $(DISABLE_MODULES)
