## godot3 3.6.2%2Bds

=== debian/rules ===
--- 
+++ 
@@ -34,10 +34,8 @@
 
 include /usr/share/dpkg/architecture.mk  # provides DEB_HOST_ARCH_BITS
 
-# Godot 3.x requires embree 3.x and mbedtls 2.x [0], but embree 4.x and
-# mbedtls 3.x are currently all that is available in unstable. rvo2 and
-# xatlas are not available within Debian.
-# [0] https://github.com/godotengine/godot/issues/100390
+# Godot 3.x requires embree 3.x, but embree 4.x is currently all that is
+# available in unstable. rvo2 and xatlas are not available within Debian.
 SCONS_OPTIONS = bits=$(DEB_HOST_ARCH_BITS) \
 	--jobs=$(NUMJOBS) \
 	import_env_vars=CCACHE_DIR \
@@ -60,11 +58,11 @@
 	builtin_libvpx=no \
 	builtin_libwebp=no \
 	builtin_wslay=no \
-	builtin_mbedtls=yes \
+	builtin_mbedtls=no \
 	builtin_miniupnpc=no \
 	builtin_opus=no \
 	builtin_pcre2=no \
-	builtin_recast=yes \
+	builtin_recast=no \
 	builtin_rvo2=yes \
 	builtin_squish=no \
 	builtin_xatlas=yes \
