=== debian/changelog ===
godot3 (3.6.2+ds-1) unstable; urgency=medium

  * New upstream version 3.6.2
  * Migrate back to Debian recastnavigation
  * Use mbedtls from Debian (Closes: #1091229)
  * Migrate to v5 d/watch format
  * Refresh patches

 -- Travis Wrightsman <travis@wrightsman.org>  Fri, 24 Oct 2025 22:40:17 +0200
