=== debian/control ===
--- 
+++ 
@@ -16,12 +16,14 @@
  libfreetype-dev,
  libgl-dev,
  libglu1-mesa-dev,
+ libmbedtls-dev,
  libminiupnpc-dev,
  libopus-dev,
  libopusfile-dev,
  libpcre2-dev,
  libpng-dev,
  libpulse-dev,
+ librecast-dev,
  libspeechd-dev,
  libsquish-dev,
  libtheora-dev,
