=== debian/watch ===
Version: 5
Template: Github
Owner: godotengine
Project: godot
Repack-Suffix: +ds
Dversion-Mangle: auto
Uversion-Mangle: s/-stable$//
Matching-Pattern: https://api.github.com/repos/godotengine/godot/git/refs/tags/(3\.\d[\.\d]*)-stable
